Bug 166575 - LTC17986 - Add IBM VSCSI server module
Summary: LTC17986 - Add IBM VSCSI server module
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-23 14:51 UTC by David Howells
Modified: 2011-03-17 16:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 16:29:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IBM VSCSI server patch (105.84 KB, patch)
2005-08-23 15:19 UTC, David Howells
no flags Details | Diff
"linux-2.6.12-ppc64-ibmvscsis.patch" (105.84 KB, text/plain)
2005-09-02 18:15 UTC, IBM Bug Proxy
no flags Details
linux-2.6.9-ppc64-ibmvscsis-latest.patch (103.87 KB, text/plain)
2005-12-01 17:49 UTC, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 17986 None None None Never

Description David Howells 2005-08-23 14:51:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
The IBM VSCSI server kernel module ought to be considered for inclusion in  
RHEL-4, now that it has been substantially reworked. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
modprobe ibmvscsis 

Actual Results:  An error occurs as the module isn't built. 

Expected Results:  The module should exist and be loaded, thus allowing VSCSI requests from guest  
O/S LPARs to be served.  

Additional info:

I'm running a kernel with the patch included on my power5 box in the service  
LPAR, and it's serving disk space to three guest LPARs, seemingly without 
problems.

Comment 1 David Howells 2005-08-23 15:19:42 UTC
Created attachment 118005 [details]
IBM VSCSI server patch

This patch adds IBM VSCSI server module to the kernel.

Comment 2 David Howells 2005-08-24 13:15:56 UTC
This patch is now included in the kernels available on: 
 
http://people.redhat.com/~dhowells/.pickup/ibm/squadrons/rhel4.shtml 

Comment 3 IBM Bug Proxy 2005-09-02 18:15:59 UTC
Created attachment 118399 [details]
"linux-2.6.12-ppc64-ibmvscsis.patch"

Comment 4 IBM Bug Proxy 2005-09-02 18:16:13 UTC
---- Additional Comments From mranweil@us.ibm.com  2005-09-02 13:17 EDT -------(Internal Only)
 
This patch adds IBM VSCSI server module to the kernel.

Patch from bug. 

Comment 5 IBM Bug Proxy 2005-12-01 17:49:42 UTC
Created attachment 121697 [details]
linux-2.6.9-ppc64-ibmvscsis-latest.patch

Comment 6 IBM Bug Proxy 2005-12-01 17:50:03 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
  Attachment #12174 [details]|0                           |1
        is obsolete|                            |




------- Additional Comments From lxie@us.ibm.com  2005-12-01 12:47 EDT -------
 
the latest ibmvscsi server for redhat 

Comment 7 IBM Bug Proxy 2005-12-01 17:50:24 UTC
---- Additional Comments From lxie@us.ibm.com  2005-12-01 12:48 EDT -------
The attached ibmvscsis patch was built based on our latest ibmvscsi server code
posted on sourceforge.net against kernel-2.6.9-22.18.EL.patchtest.60.src.rpm I
got from http://people.redhat.com/~dhowells/.pickup/ibm/squadrons/rhel4.shtml.
The patch has been tested for the following vio clients:
 
	- redhat 2.6.9.11.EL (disk partiton)
	- suse 2.6.5-7.97-pseries (disk partition)
	- suse 2.6.5-7.241-pseries64 (whol disk)
	- AIX 5.3 (disk partition)

RedHat, 
  Please replace the previous patch with this one. 

Comment 8 David Howells 2005-12-06 18:29:50 UTC
Hmmm... the "/sys/devices/vio/$1/bus0/target0/type" files have gone. Was this 
deliberate? 

Comment 9 IBM Bug Proxy 2005-12-06 19:13:02 UTC
---- Additional Comments From boutcher@us.ibm.com  2005-12-06 14:10 EDT -------
Yes...we determine it automatically. 

Comment 10 David Howells 2005-12-06 19:29:50 UTC
Also, should the module version number have been incremented? 

Comment 11 IBM Bug Proxy 2005-12-07 05:05:38 UTC
---- Additional Comments From lxie@us.ibm.com  2005-12-07 00:06 EDT -------
 1.0.0 is the initial version number for RedHat release. 

Comment 12 David Howells 2005-12-07 11:21:55 UTC
The new patch has been incorporated into the patches available on: 
 
    http://people.redhat.com/~dhowells/.pickup/ibm/squadrons/rhel4.shtml 

Comment 13 IBM Bug Proxy 2006-01-11 17:46:13 UTC
---- Additional Comments From lxie@us.ibm.com  2006-01-11 12:46 EDT -------
I installed kenel-2.6.9-24.EL(downloaded from 
http://people.redhat.com/~dhowells/.pickup/ibm/squadrons/rhel4.shtml)on my
system.
I was able to boot the following vio clients served by the server running
above kernel:
 
	- redhat 2.6.9.11.EL 
	- suse 2.6.5-7.97-pseries 
	- AIX 5.3 

Comment 14 IBM Bug Proxy 2006-01-23 22:53:51 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|FIXEDAWAITINGTEST           |REOPENED
         Resolution|FIX_BY_IBM                  |




------- Additional Comments From boutcher@us.ibm.com  2006-01-23 17:50 EDT -------
We have made a decision not to push for the IBM VSCSI server in distros shipping
in 2006.  It was rejected from mainline in its current form, and we don\'t want
to keep perpetuating an out-of-mainline driver.  This means that we will need to
work to ensure that people can use the \"blessed\" AIX based VSCSI server where
they want to do virtual I/O. 

Comment 15 IBM Bug Proxy 2006-01-30 22:55:36 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|REOPENED                    |REJECTED
         Resolution|                            |WILL_NOT_FIX




------- Additional Comments From mranweil@us.ibm.com  2006-01-30 17:57 EDT -------
Why don\'t we close this bug, then? 


Note You need to log in before you can comment on or make changes to this bug.